Package htsjdk.samtools.util

# Class ProgressLogger

java.lang.Object
htsjdk.samtools.util.AbstractProgressLogger
htsjdk.samtools.util.ProgressLogger

All Implemented Interfaces:
  `ProgressLoggerInterface`

public class ProgressLogger extends AbstractProgressLogger
Little progress logging class to facilitate consistent output of useful information when progressing through a stream of SAM records.

## Constructor Summary

Constructors
Constructor
Description
`ProgressLogger(Log log)`
Construct a progress logger with the desired log, the verb "Processed" and a period of 1m records.
`ProgressLogger(Log log, int n)`
Construct a progress logger with the desired log and frequency and the verb "Processed".
`ProgressLogger(Log log, int n, String verb)`
Construct a progress logger.
`ProgressLogger(Log log, int n, String verb, String noun)`
Construct a progress logger.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`log(String... message)`
Log a message to whatever logger is being used

### Methods inherited from class htsjdk.samtools.util.AbstractProgressLogger

`getCount, getElapsedSeconds, log, record, record, record, record, reset`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ProgressLogger

public ProgressLogger(Log log, int n, String verb, String noun)
Construct a progress logger.

Parameters:
  `log` - the Log object to write outputs to
  `n` - the frequency with which to output (i.e. every N records)
  `verb` - the verb to log, e.g. "Processed, Read, Written".
  `noun` - the noun to use when logging, e.g. "Records, Variants, Loci"

### ProgressLogger

public ProgressLogger(Log log, int n, String verb)
Construct a progress logger.

Parameters:
  `log` - the Log object to write outputs to
  `n` - the frequency with which to output (i.e. every N records)
  `verb` - the verb to log, e.g. "Processed, Read, Written".

### ProgressLogger

public ProgressLogger(Log log, int n)
Construct a progress logger with the desired log and frequency and the verb "Processed".

Parameters:
  `log` - the Log object to write outputs to
  `n` - the frequency with which to output (i.e. every N records)

### ProgressLogger

public ProgressLogger(Log log)
Construct a progress logger with the desired log, the verb "Processed" and a period of 1m records.

Parameters:
  `log` - the Log object to write outputs to

## Method Details

### log

protected void log(String... message)
Description copied from class: `AbstractProgressLogger`
Log a message to whatever logger is being used

Specified by:
  `log` in class `AbstractProgressLogger`
Parameters:
  `message` - a message to be logged by the logger (recommended output level is INFO or the equivalent)